buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dona...@apache.org
Subject svn commit: r1154685 - in /buildr/trunk/spec: addon/jaxb_xjc_spec.rb scala/bdd_spec.rb scala/tests_spec.rb
Date Sun, 07 Aug 2011 10:32:36 GMT
Author: donaldp
Date: Sun Aug  7 10:32:36 2011
New Revision: 1154685

URL: http://svn.apache.org/viewvc?rev=1154685&view=rev
Log:
Disable tests in JDK 1.5 builds that rely on JDK 1.6 functionality

Modified:
    buildr/trunk/spec/addon/jaxb_xjc_spec.rb
    buildr/trunk/spec/scala/bdd_spec.rb
    buildr/trunk/spec/scala/tests_spec.rb

Modified: buildr/trunk/spec/addon/jaxb_xjc_spec.rb
URL: http://svn.apache.org/viewvc/buildr/trunk/spec/addon/jaxb_xjc_spec.rb?rev=1154685&r1=1154684&r2=1154685&view=diff
==============================================================================
--- buildr/trunk/spec/addon/jaxb_xjc_spec.rb (original)
+++ buildr/trunk/spec/addon/jaxb_xjc_spec.rb Sun Aug  7 10:32:36 2011
@@ -13,6 +13,7 @@
 # License for the specific language governing permissions and limitations under
 # the License.
 
+if Java.java.lang.System.getProperty("java.runtime.version") >= "1.6"
 
 require File.expand_path('../spec_helpers', File.dirname(__FILE__))
 Sandbox.require_optional_extension 'buildr/jaxb_xjc'
@@ -123,3 +124,7 @@ describe Buildr::JaxbXjc do
     end
   end
 end
+
+elsif Buildr::VERSION >= '1.5'
+  raise "JVM version guard in #{__FILE__} should be removed since it is assumed that Java
1.5 is no longer supported."
+end

Modified: buildr/trunk/spec/scala/bdd_spec.rb
URL: http://svn.apache.org/viewvc/buildr/trunk/spec/scala/bdd_spec.rb?rev=1154685&r1=1154684&r2=1154685&view=diff
==============================================================================
--- buildr/trunk/spec/scala/bdd_spec.rb (original)
+++ buildr/trunk/spec/scala/bdd_spec.rb Sun Aug  7 10:32:36 2011
@@ -13,6 +13,7 @@
 # License for the specific language governing permissions and limitations under
 # the License.
 
+if Java.java.lang.System.getProperty("java.runtime.version") >= "1.6"
 
 require File.expand_path(File.join(File.dirname(__FILE__), '..', 'spec_helpers'))
 
@@ -117,3 +118,7 @@ describe Buildr::Scala::Specs do
     project('foo').test.failed_tests.should include('StringSpecs')
   end
 end
+
+elsif Buildr::VERSION >= '1.5'
+  raise "JVM version guard in #{__FILE__} should be removed since it is assumed that Java
1.5 is no longer supported."
+end

Modified: buildr/trunk/spec/scala/tests_spec.rb
URL: http://svn.apache.org/viewvc/buildr/trunk/spec/scala/tests_spec.rb?rev=1154685&r1=1154684&r2=1154685&view=diff
==============================================================================
--- buildr/trunk/spec/scala/tests_spec.rb (original)
+++ buildr/trunk/spec/scala/tests_spec.rb Sun Aug  7 10:32:36 2011
@@ -14,6 +14,8 @@
 # the License.
 
 
+if Java.java.lang.System.getProperty("java.runtime.version") >= "1.6"
+
 require File.expand_path(File.join(File.dirname(__FILE__), '..', 'spec_helpers'))
 
 # TODO's
@@ -289,3 +291,6 @@ describe Buildr::Scala::ScalaTest do
 
 end
 
+elsif Buildr::VERSION >= '1.5'
+  raise "JVM version guard in #{__FILE__} should be removed since it is assumed that Java
1.5 is no longer supported."
+end



Mime
View raw message